POST https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport/run?api-version=2025-03-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.costmanagement import CostManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-costmanagement
# USAGE
python export_run_by_billing_account.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = CostManagementClient(
credential=DefaultAzureCredential(),
)
client.exports.execute(
scope="providers/Microsoft.Billing/billingAccounts/123456",
export_name="TestExport",
)
# x-ms-original-file: 2025-03-01/ExportRunByBillingAccount.json
if __name__ == "__main__":
main()
package armcostmanagement_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/costmanagement/armcostmanagement/v3"
)
// Generated from example definition: 2025-03-01/ExportRunByBillingAccount.json
func ExampleExportsClient_Execute_exportRunByBillingAccount() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcostmanagement.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewExportsClient().Execute(ctx, "providers/Microsoft.Billing/billingAccounts/123456", "TestExport", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcostmanagement.ExportsClientExecuteResponse{
// }
}
const { CostManagementClient } = require("@azure/arm-costmanagement");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to the operation to run an export.
*
* @summary the operation to run an export.
* x-ms-original-file: 2025-03-01/ExportRunByBillingAccount.json
*/
async function exportRunByBillingAccount() {
const credential = new DefaultAzureCredential();
const client = new CostManagementClient(credential);
await client.exports.execute("providers/Microsoft.Billing/billingAccounts/123456", "TestExport");
}
POST https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport/run?api-version=2025-03-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.costmanagement import CostManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-costmanagement
# USAGE
python export_run_by_billing_account_with_optional_request_body.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = CostManagementClient(
credential=DefaultAzureCredential(),
)
client.exports.execute(
scope="providers/Microsoft.Billing/billingAccounts/123456",
export_name="TestExport",
)
# x-ms-original-file: 2025-03-01/ExportRunByBillingAccountWithOptionalRequestBody.json
if __name__ == "__main__":
main()
package armcostmanagement_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/costmanagement/armcostmanagement/v3"
)
// Generated from example definition: 2025-03-01/ExportRunByBillingAccountWithOptionalRequestBody.json
func ExampleExportsClient_Execute_exportRunByBillingAccountWithOptionalRequestBody() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcostmanagement.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewExportsClient().Execute(ctx, "providers/Microsoft.Billing/billingAccounts/123456", "TestExport", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcostmanagement.ExportsClientExecuteResponse{
// }
}
const { CostManagementClient } = require("@azure/arm-costmanagement");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to the operation to run an export.
*
* @summary the operation to run an export.
* x-ms-original-file: 2025-03-01/ExportRunByBillingAccountWithOptionalRequestBody.json
*/
async function exportRunByBillingAccountWithOptionalRequestBody() {
const credential = new DefaultAzureCredential();
const client = new CostManagementClient(credential);
await client.exports.execute("providers/Microsoft.Billing/billingAccounts/123456", "TestExport");
}
POST https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12/departments/1234/providers/Microsoft.CostManagement/exports/TestExport/run?api-version=2025-03-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.costmanagement import CostManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-costmanagement
# USAGE
python export_run_by_department.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = CostManagementClient(
credential=DefaultAzureCredential(),
)
client.exports.execute(
scope="providers/Microsoft.Billing/billingAccounts/12/departments/1234",
export_name="TestExport",
)
# x-ms-original-file: 2025-03-01/ExportRunByDepartment.json
if __name__ == "__main__":
main()
package armcostmanagement_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/costmanagement/armcostmanagement/v3"
)
// Generated from example definition: 2025-03-01/ExportRunByDepartment.json
func ExampleExportsClient_Execute_exportRunByDepartment() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcostmanagement.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewExportsClient().Execute(ctx, "providers/Microsoft.Billing/billingAccounts/12/departments/1234", "TestExport", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcostmanagement.ExportsClientExecuteResponse{
// }
}
const { CostManagementClient } = require("@azure/arm-costmanagement");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to the operation to run an export.
*
* @summary the operation to run an export.
* x-ms-original-file: 2025-03-01/ExportRunByDepartment.json
*/
async function exportRunByDepartment() {
const credential = new DefaultAzureCredential();
const client = new CostManagementClient(credential);
await client.exports.execute(
"providers/Microsoft.Billing/billingAccounts/12/departments/1234",
"TestExport",
);
}
POST https://management.azure.com/providers/Microsoft.Billing/billingAccounts/100/enrollmentAccounts/456/providers/Microsoft.CostManagement/exports/TestExport/run?api-version=2025-03-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.costmanagement import CostManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-costmanagement
# USAGE
python export_run_by_enrollment_account.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = CostManagementClient(
credential=DefaultAzureCredential(),
)
client.exports.execute(
scope="providers/Microsoft.Billing/billingAccounts/100/enrollmentAccounts/456",
export_name="TestExport",
)
# x-ms-original-file: 2025-03-01/ExportRunByEnrollmentAccount.json
if __name__ == "__main__":
main()
package armcostmanagement_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/costmanagement/armcostmanagement/v3"
)
// Generated from example definition: 2025-03-01/ExportRunByEnrollmentAccount.json
func ExampleExportsClient_Execute_exportRunByEnrollmentAccount() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcostmanagement.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewExportsClient().Execute(ctx, "providers/Microsoft.Billing/billingAccounts/100/enrollmentAccounts/456", "TestExport", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcostmanagement.ExportsClientExecuteResponse{
// }
}
const { CostManagementClient } = require("@azure/arm-costmanagement");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to the operation to run an export.
*
* @summary the operation to run an export.
* x-ms-original-file: 2025-03-01/ExportRunByEnrollmentAccount.json
*/
async function exportRunByEnrollmentAccount() {
const credential = new DefaultAzureCredential();
const client = new CostManagementClient(credential);
await client.exports.execute(
"providers/Microsoft.Billing/billingAccounts/100/enrollmentAccounts/456",
"TestExport",
);
}
POST https://management.azure.com/providers/Microsoft.Management/managementGroups/TestMG/providers/Microsoft.CostManagement/exports/TestExport/run?api-version=2025-03-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.costmanagement import CostManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-costmanagement
# USAGE
python export_run_by_management_group.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = CostManagementClient(
credential=DefaultAzureCredential(),
)
client.exports.execute(
scope="providers/Microsoft.Management/managementGroups/TestMG",
export_name="TestExport",
)
# x-ms-original-file: 2025-03-01/ExportRunByManagementGroup.json
if __name__ == "__main__":
main()
package armcostmanagement_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/costmanagement/armcostmanagement/v3"
)
// Generated from example definition: 2025-03-01/ExportRunByManagementGroup.json
func ExampleExportsClient_Execute_exportRunByManagementGroup() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcostmanagement.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewExportsClient().Execute(ctx, "providers/Microsoft.Management/managementGroups/TestMG", "TestExport", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcostmanagement.ExportsClientExecuteResponse{
// }
}
const { CostManagementClient } = require("@azure/arm-costmanagement");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to the operation to run an export.
*
* @summary the operation to run an export.
* x-ms-original-file: 2025-03-01/ExportRunByManagementGroup.json
*/
async function exportRunByManagementGroup() {
const credential = new DefaultAzureCredential();
const client = new CostManagementClient(credential);
await client.exports.execute(
"providers/Microsoft.Management/managementGroups/TestMG",
"TestExport",
);
}
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.CostManagement/exports/TestExport/run?api-version=2025-03-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.costmanagement import CostManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-costmanagement
# USAGE
python export_run_by_resource_group.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = CostManagementClient(
credential=DefaultAzureCredential(),
)
client.exports.execute(
scope="subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG",
export_name="TestExport",
)
# x-ms-original-file: 2025-03-01/ExportRunByResourceGroup.json
if __name__ == "__main__":
main()
package armcostmanagement_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/costmanagement/armcostmanagement/v3"
)
// Generated from example definition: 2025-03-01/ExportRunByResourceGroup.json
func ExampleExportsClient_Execute_exportRunByResourceGroup() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcostmanagement.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewExportsClient().Execute(ctx, "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG", "TestExport", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcostmanagement.ExportsClientExecuteResponse{
// }
}
const { CostManagementClient } = require("@azure/arm-costmanagement");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to the operation to run an export.
*
* @summary the operation to run an export.
* x-ms-original-file: 2025-03-01/ExportRunByResourceGroup.json
*/
async function exportRunByResourceGroup() {
const credential = new DefaultAzureCredential();
const client = new CostManagementClient(credential);
await client.exports.execute(
"subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG",
"TestExport",
);
}
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/exports/TestExport/run?api-version=2025-03-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.costmanagement import CostManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-costmanagement
# USAGE
python export_run_by_subscription.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = CostManagementClient(
credential=DefaultAzureCredential(),
)
client.exports.execute(
scope="subscriptions/00000000-0000-0000-0000-000000000000",
export_name="TestExport",
)
# x-ms-original-file: 2025-03-01/ExportRunBySubscription.json
if __name__ == "__main__":
main()
package armcostmanagement_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/costmanagement/armcostmanagement/v3"
)
// Generated from example definition: 2025-03-01/ExportRunBySubscription.json
func ExampleExportsClient_Execute_exportRunBySubscription() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcostmanagement.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewExportsClient().Execute(ctx, "subscriptions/00000000-0000-0000-0000-000000000000", "TestExport", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcostmanagement.ExportsClientExecuteResponse{
// }
}
const { CostManagementClient } = require("@azure/arm-costmanagement");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to the operation to run an export.
*
* @summary the operation to run an export.
* x-ms-original-file: 2025-03-01/ExportRunBySubscription.json
*/
async function exportRunBySubscription() {
const credential = new DefaultAzureCredential();
const client = new CostManagementClient(credential);
await client.exports.execute("subscriptions/00000000-0000-0000-0000-000000000000", "TestExport");
}
Foutreactie geeft aan dat de service de binnenkomende aanvraag niet kan verwerken. De reden is opgegeven in het foutbericht. \n\nEnkele foutmeldingen: \n\n * 429 TeveelVerzoeken - Verzoek wordt beperkt. Probeer het opnieuw nadat u hebt gewacht op de tijd die is opgegeven in de header x-ms-ratelimit-microsoft.consumption-retry-after. \n\n * 503 Dienst Niet beschikbaar - Dienst is tijdelijk niet beschikbaar. Probeer het opnieuw nadat u hebt gewacht op de tijd die is opgegeven in de header 'Opnieuw proberen-na'.
Het datumbereik voor gegevens in de export. Dit mag alleen worden opgegeven met het tijdsbestek dat is ingesteld op 'Aangepast'. Het maximale datumbereik is 1 kalendermaand.
ErrorDetails
Object
De details van de fout.
Name
Type
Description
code
string
Foutcode.
message
string
Foutbericht dat aangeeft waarom de bewerking is mislukt.
ErrorResponse
Object
Foutreactie geeft aan dat de service de binnenkomende aanvraag niet kan verwerken. De reden is opgegeven in het foutbericht. \n\nEnkele foutmeldingen: \n\n * 429 TeveelVerzoeken - Verzoek wordt beperkt. Probeer het opnieuw nadat u hebt gewacht op de tijd die is opgegeven in de header x-ms-ratelimit-microsoft.consumption-retry-after. \n\n * 503 Dienst Niet beschikbaar - Dienst is tijdelijk niet beschikbaar. Probeer het opnieuw nadat u hebt gewacht op de tijd die is opgegeven in de header 'Opnieuw proberen-na'.
Heeft een periode voor het ophalen van gegevens voor de export.
ExportTimePeriod
Object
Het datumbereik voor gegevens in de export. Dit mag alleen worden opgegeven met het tijdsbestek dat is ingesteld op 'Aangepast'. Het maximale datumbereik is 1 kalendermaand.